Bug 32949 - Cannot delete multiple interfaces at once
Cannot delete multiple interfaces at once
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: UMC - Basic settings
UCS 3.2
Other Linux
: P5 normal (vote)
: UCS 3.2
Assigned To: Florian Best
Felix Botner
: interim-3
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-22 13:29 CEST by Alexander Kläser
Modified: 2013-11-19 06:44 CET (History)
1 user (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Flags outvoted after Product Owner Review:
Ticket number:
Bug group (optional): Usability
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alexander Kläser univentionstaff 2013-10-22 13:29:41 CEST
Currently, it is not possible to delete multiple interfaces at once in the basic settings module.
Comment 1 Florian Best univentionstaff 2013-10-22 14:04:06 CEST
hmm… you can!
but the canExecute condition is: the interface must not be used by any other interface (except for VLAN).
With the old grid you had the delete action visible on each row and could knew which interface is not removable.
Comment 2 Alexander Kläser univentionstaff 2013-10-22 14:49:22 CEST
(In reply to Florian Best from comment #1)
> hmm… you can!
> but the canExecute condition is: the interface must not be used by any other
> interface (except for VLAN).
> With the old grid you had the delete action visible on each row and could
> knew which interface is not removable.

True, that makes sense. I can imagine, that it would be helpful for the user to always see the delete button. If there is an interface in the selection which cannot be removed, I would expect a dialogue that mentions that the following interfaces cannot be deleted. The user would then be able to cancel or to remove the items that can be removed.
Comment 3 Florian Best univentionstaff 2013-10-23 10:55:01 CEST
Ok, new behavior:

* All interfaces can be selected for removal
* If an interface is not removable there will be an information about this
* If there are other interfaces which can be deleted the delete button is still there with a list of interfaces which will be removed
* If no interfaces are removable the remove button will be hidden, so one can only click on cancel
Comment 4 Felix Botner univentionstaff 2013-10-29 09:07:07 CET
I have an interface eth1 and and vlan eth1.2. Now i wanted to delete eth1 and got the following message

Bestätigung

Bitte Löschung der folgenden Netzwerkgeräte bestätigen:

  *

                Abbrechen 

so it works (i should not be able to delete eth1) but the message incomplete
Comment 5 Felix Botner univentionstaff 2013-10-29 09:25:51 CET
* Die folgenden Netzwerkgeräte sind bereits von anderen Netzwerkgeräten in 
  verwendung und können nicht gelöscht werden:
-> in Verwendung

* i can not delete a vlan and the interface at once (eth1 and eth1.2)

Die folgenden Netzwerkgeräte sind bereits von anderen Netzwerkgeräten in verwendung und können nicht gelöscht werden:

    eth1

Bitte Löschung der folgenden Netzwerkgeräte bestätigen:

    eth1.2
Comment 6 Florian Best univentionstaff 2013-10-29 11:25:35 CET
fixed the 3 points
Comment 7 Felix Botner univentionstaff 2013-10-29 14:15:55 CET
FAIL - do we need a changelog entry?

OK - rest
Comment 8 Florian Best univentionstaff 2013-10-29 14:28:56 CET
(In reply to Felix Botner from comment #7)
> FAIL - do we need a changelog entry?
No, in UCS 3.1-1 every interface could be deleted. The rest was interim version.
Comment 9 Felix Botner univentionstaff 2013-10-29 15:26:43 CET
OK
Comment 10 Stefan Gohmann univentionstaff 2013-11-19 06:44:12 CET
UCS 3.2 has been released:
 http://docs.univention.de/release-notes-3.2-en.html
 http://docs.univention.de/release-notes-3.2-de.html

If this error occurs again, please use "Clone This Bug".